Skip to main content
PATCH
/
partners
/
{uuid}
Update a partner
curl --request PATCH \
  --url https://api.journeybee.io/v1/partners/{uuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "email": "<string>",
  "phone_number": "<string>",
  "website_url": "<string>",
  "description": "<string>",
  "stage_uuid": "<string>",
  "tier_uuid": "<string>",
  "category_uuid": "<string>"
}
'
{
  "uuid": "<string>",
  "name": "<string>",
  "email": "<string>",
  "phone_number": "<string>",
  "website_url": "<string>",
  "description": "<string>",
  "accepted_at": "<string>",
  "invited_at": "<string>",
  "stage": {
    "uuid": "<string>",
    "label": "<string>"
  },
  "tier": {
    "uuid": "<string>",
    "label": "<string>"
  },
  "category": {
    "uuid": "<string>",
    "label": "<string>"
  },
  "partner_logo_uuid": "<string>",
  "partner_logo_square_uuid": "<string>",
  "partner_logo_white_uuid": "<string>",
  "partner_logo_square_white_uuid": "<string>",
  "tags": [
    {
      "uuid": "<string>",
      "label": "<string>"
    }
  ],
  "assigned_users": [
    {
      "uuid": "<string>",
      "email": "<string>",
      "first_name": "<string>",
      "last_name": "<string>"
    }
  ],
  "custom_fields": [
    {
      "uuid": "<string>",
      "label": "<string>",
      "value": {
        "text": "<string>",
        "number": 123,
        "date": "<string>",
        "boolean": true,
        "select": 123,
        "multi_select": [
          123
        ]
      },
      "options": [
        {
          "id": 123,
          "label": "<string>"
        }
      ]
    }
  ],
  "domains": [
    {
      "uuid": "<string>",
      "domain": "<string>",
      "is_primary": true
    }
  ],
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Path Parameters

uuid
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json
name
string
partner_type
enum<string>
Available options:
referral,
reseller,
distributor
status
enum<string>
Available options:
invited,
not-invited,
accepted,
archived
email
string | null
phone_number
string | null
website_url
string | null
description
string | null
stage_uuid
string | null
tier_uuid
string | null
category_uuid
string | null

Response

200 - application/json

Default Response

uuid
string
required
name
string | null
required
email
string | null
required
phone_number
string | null
required
website_url
string | null
required
description
string | null
required
partner_type
enum<string>
required
Available options:
referral,
reseller,
distributor
status
enum<string>
required
Available options:
invited,
not-invited,
accepted,
archived
accepted_at
string | null
required
invited_at
string | null
required
stage
object
required
tier
object
required
category
object
required
partner_logo_uuid
string | null
required
partner_logo_square_uuid
string | null
required
partner_logo_white_uuid
string | null
required
partner_logo_square_white_uuid
string | null
required
tags
object[]
required
assigned_users
object[]
required
custom_fields
object[]
required
domains
object[]
required
created_at
string
required
updated_at
string
required